<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('software_brandings', function (Blueprint $table) {
            $table->string('youtube')->nullable()->after('linkedin');
            $table->string('instagram')->nullable()->after('linkedin');
            $table->string('whatsapp_number',50)->nullable()->after('support_number');
            $table->string('email',150)->nullable()->after('support_email');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('software_brandings', function (Blueprint $table) {
            $table->dropColumn('youtube');
            $table->dropColumn('instagram');
            $table->dropColumn('whatsapp_number');
            $table->dropColumn('email');
        });
    }
};
